const Gio = imports.gi.Gio;
const Gtk = imports.gi.Gtk;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();

let settings;
function init() {
}

function buildPrefsWidget() {
    // Copy the same GSettings code from `extension.js`
    settings = ExtensionUtils.getSettings(Me.metadata['settings-schema']);

    let prefsWidget = new Gtk.Grid({
        //margin: 18,
        column_spacing: 12,
        row_spacing: 12,
        visible: true
    });

    let toggleLabel = new Gtk.Label({
        label: 'Auto-expand every notification?',
        halign: Gtk.Align.START,
        visible: true
    });
    prefsWidget.attach(toggleLabel, 0, 1, 1, 1);

    let toggle = new Gtk.Switch({
        active: settings.get_boolean('expand-all'),
        halign: Gtk.Align.END,
        visible: true
    });
    prefsWidget.attach(toggle, 1, 1, 1, 1);

    settings.bind(
        'expand-all',
        toggle,
        'active',
        Gio.SettingsBindFlags.DEFAULT
    );
    return prefsWidget;
}